<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

    <div th:switch="${user}">
        <h2 th:case="null">No users yet!</h2>
        <div th:case="*">
            <h2>Users</h2>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Email</th>
                        <th>Role</th>
                        <th>Edit</th>
                        <th>Delete</th>
                    </tr>
                </thead>
                <tbody>
                    <tr th:each="user : ${users}">
                        <td th:text="${user.name}"></td>
                        <td th:text="${user.email}"></td>
                        <td th:text="${user.role}"></td>
                        <td><a th:href="@{/edit/{id}(id=${user.id})}">Edit</a></td>
                        <td><a th:href="@{/delete/{id}(id=${user.id})}">Delete</a></td>
                    </tr>
                </tbody>
            </table>
        </div>
        <p><a href="/signup">Add a new user</a></p>
        <p>Number of Users:</p>
        <div th:switch="${user}">
            <p th:case="null">0</p>
            <div th:case="*">
                <p th:text="${numberOfUsers}"></p>
            </div>
        </div>
        <a th:href="@{/search-role}">Search Roles</a>
    </div>
</body>
</html>